## uki-helper 0.4~deb12u1

=== Makefile ===
# Minimalistic Makefile

INSTALL = /usr/bin/install

all:

install:
	# Directories with standard permissions
	$(INSTALL) -d $(DESTDIR)/usr/sbin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man8
	# Files
	# Executables
	$(INSTALL) -m 755 src/usr/sbin/* $(DESTDIR)/usr/sbin
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man8/* $(DESTDIR)/usr/share/man/man8

clean:

=== debian/changelog ===
uki-helper (0.4~deb12u1) bookworm; urgency=medium

  * [1043185] Set Debian branch in debian/gbp.conf
  * [d2f5b5c] Split package with systemd-boot-helper
  * [46659e9] Rename Debian branch (DEP-14)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 04 Sep 2025 17:59:20 +0200

uki-helper (0.1) unstable; urgency=medium

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 03 Jun 2025 13:45:08 +0200

=== debian/control ===
Source: uki-helper
Section: admin
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/MoonSweep/uki-helper
Vcs-Browser: https://salsa.debian.org/MoonSweep/uki-helper
Vcs-Git: https://salsa.debian.org/MoonSweep/uki-helper.git

Package: uki-helper
Architecture: all
Pre-Depends: mok-helper
Depends:
 linux-base,
 python3-pefile,
 sbsigntool,
 systemd-boot (>= 254.22-1~),
 ucf,
 ${misc:Depends},
Recommends: systemd-boot-helper
Description: Configure systemd-boot to use UKIs
 This package configures systemd-boot to implement Boot Loader Specification
 Type #2, aka UKIs, and ensures that all necessary dependencies are installed.
 .
 Signed by a MOK and used with Secure Boot, UKIs provide enough security to
 allow true Full Disk Encryption with TPM unlocking on PCR 7.

## uki-helper 0.4

=== debian/changelog ===
uki-helper (0.4) unstable; urgency=medium

  * [5dc6140] Split package with systemd-boot-helper

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 04 Sep 2025 17:49:06 +0200

uki-helper (0.3) unstable; urgency=medium

  * [3c34815] Add back dependency on sbsigntool

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 05 Jul 2025 11:34:03 +0200

uki-helper (0.2) unstable; urgency=medium

  * [22202df] Update for Trixie
    - d/control: update dependencies
    - d/postinst, d/triggers: remove parts already done by new systemd-boot
    - d/postinst: simplify conffile (ukify is already the default now)
    - d/copyright: remove copyright for code removed from d/postinst
  * [362a170] Bump Standards-Version to 4.7.2

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 30 Jun 2025 21:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://salsa.debian.org/MoonSweep/uki-helper
 Vcs-Browser: https://salsa.debian.org/MoonSweep/uki-helper
 Vcs-Git: https://salsa.debian.org/MoonSweep/uki-helper.git
@@ -15,9 +15,11 @@
 Pre-Depends: mok-helper
 Depends:
  linux-base,
- python3-pefile,
+ python3-cryptography,
+ python3-lz4,
  sbsigntool,
- systemd-boot (>= 254.22-1~),
+ systemd-boot (>= 257.6-1),
+ systemd-ukify,
  ucf,
  ${misc:Depends},
 Recommends: systemd-boot-helper
